/****************************************************************************************************

		Doxygen.h
		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		Author:	Charles
		Date:	10/26/2004

****************************************************************************************************/

#ifndef __Doxygen__
#define __Doxygen__

#if CP_PRAGMA_ONCE
#pragma once
#endif

/// \addtogroup BasicCOM COM Interfaces
///
/// \brief Describes the basic interfaces used for COM.


/// \addtogroup ExternalInterface External Interfaces
///
/// \brief These are the interfaces that are used for outside of the application


/// \addtogroup ShellInterface Shell Interfaces
///
/// \brief These are the interfaces that are used in the shell


/// \addtogroup Utilities Shell Utilities
///
/// \brief There are the utilities that are available everywhere.


/// \addtogroup MCCore MCCore
///
/// \brief The low level classes

/// \addtogroup MCImage MCImage
///
/// \brief Classes to manipulate images

/// \addtogroup MCF MCFrame
///
/// \brief All the classes related to user interface.


/// \addtogroup Math Math classes
///
/// \brief Mathematical classes


/// \addtogroup Data Data Structures
///
/// \brief Main Data Structures used in Carrara

/// \addtogroup BaseClass Base Classes for plugins
///
/// \brief Default implementation for plugins from which you can derive your own objects.
///
#endif
